View Issue Details

IDProjectCategoryView StatusLast Update
0032951Open CASCADEOCCT:Codingpublic2022-05-05 09:45
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032951: Coding - get rid of unused headers [GeomConvert to IGESBasic]
DescriptionThis ticket is to clear unused headers in the packages from `GeomConvert ` to `IGESBasic`.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

parent of 0032958 verifiedaml Coding - compilation fails with OCCT_DEBUG=ON 
child of 0032741 newaml Coding - get rid of unused headers 

Activities

git

2022-04-27 08:34

administrator   ~0108208

Branch CR32951 has been created by aml.

SHA-1: 2850e2ec7fc083a3e3b5ee39bc7546eea5482e9b


Detailed log of new commits:

Author: aml
Date: Fri Jan 14 16:37:13 2022 +0300

    0032951: Coding - get rid of unused headers [GeomConvert to IGESBasic]

git

2022-04-27 09:08

administrator   ~0108210

Branch CR32951 has been updated forcibly by aml.

SHA-1: c731b58177f4d383dd47b870219574afb3b59d17

git

2022-04-27 10:24

administrator   ~0108212

Branch CR32951 has been updated forcibly by aml.

SHA-1: e43b002bccd0a4f2566eba568fe2c64225f35772

git

2022-04-27 10:47

administrator   ~0108214

Branch CR32951 has been updated forcibly by aml.

SHA-1: 53efb5d1f503ef3345641656d0e1d8503102d947

git

2022-04-27 11:49

administrator   ~0108216

Branch CR32951 has been updated forcibly by aml.

SHA-1: aa297892ab6c2a1918ea6c923ff44911243d6978

git

2022-04-27 15:27

administrator   ~0108226

Branch CR32951 has been updated forcibly by aml.

SHA-1: abbf8b5974330d0aa3ec79a30a5b3c780dbaff6f

aml

2022-04-28 10:38

developer   ~0108231

Dear Kirill,
Could you please take a look at patch?

Jenkins job is:
http://jenkins-test-occt.nnov.opencascade.com/view/CR32951-CR32951-aml2/view/ALL/

smoskvin

2022-05-01 13:28

administrator   ~0108270

Combination -
OCCT branch : IR-2022-04-29
master SHA - e976df232941aae838b8c3dcf4b9f79f79bea705
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-29 SHA - d8a13f7f0c119514dcb0285266e54f3994f65e57
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18668.100000000675 / 18636.43000000061 [+0.17%]
Products
Total CPU difference: 11742.710000000114 / 11717.180000000135 [+0.22%]
Windows-64-VC14:
OCCT
Total CPU difference: 20733.796875 / 20693.28125 [+0.20%]
Products
Total CPU difference: 13272.875 / 13248.015625 [+0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-05-01 15:15

administrator   ~0108279

Branch CR32951 has been deleted by mnt.

SHA-1: abbf8b5974330d0aa3ec79a30a5b3c780dbaff6f

Related Changesets

occt: master 82598ec0

2022-01-14 16:37:13

aml


Committer: smoskvin Details Diff
0032951: Coding - get rid of unused headers [GeomConvert to IGESBasic] Affected Issues
0032951
mod - samples/OCCTOverview/code/Sample2D_Face.h Diff File
mod - samples/OCCTOverview/code/Sample2D_Markers.h Diff File
mod - src/AIS/AIS_LightSource.hxx Diff File
mod - src/AIS/AIS_TexturedShape.hxx Diff File
mod - src/AIS/AIS_XRTrackedDevice.cxx Diff File
mod - src/GeomConvert/GeomConvert.cxx Diff File
mod - src/GeomConvert/GeomConvert_1.cxx Diff File
mod - src/GeomConvert/GeomConvert_ApproxCurve.cxx Diff File
mod - src/GeomConvert/GeomConvert_ApproxSurface.cxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineCurveKnotSplitting.cxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineCurveToBezierCurve.cxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineCurveToBezierCurve.hxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineSurfaceKnotSplitting.cxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineSurfaceToBezierSurface.cxx Diff File
mod - src/GeomConvert/GeomConvert_BSplineSurfaceToBezierSurface.hxx Diff File
mod - src/GeomConvert/GeomConvert_CompBezierSurfacesToBSplineSurface.cxx Diff File
mod - src/GeomConvert/GeomConvert_CompBezierSurfacesToBSplineSurface.hxx Diff File
mod - src/GeomConvert/GeomConvert_CompCurveToBSplineCurve.hxx Diff File
mod - src/GeomConvert/GeomConvert_Units.cxx Diff File
mod - src/GeomConvert/GeomConvert_Units.hxx Diff File
mod - src/GeometryTest/GeometryTest_APICommands.cxx Diff File
mod - src/GeometryTest/GeometryTest_ConstraintCommands.cxx Diff File
mod - src/GeometryTest/GeometryTest_ContinuityCommands.cxx Diff File
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff File
mod - src/GeometryTest/GeometryTest_FairCurveCommands.cxx Diff File
mod - src/GeometryTest/GeometryTest_PolyCommands.cxx Diff File
mod - src/GeometryTest/GeometryTest_SurfaceCommands.cxx Diff File
mod - src/GeometryTest/GeometryTest_TestProjCommands.cxx Diff File
mod - src/GeomEvaluator/GeomEvaluator_OffsetCurve.hxx Diff File
mod - src/GeomFill/GeomFill.cxx Diff File
mod - src/GeomFill/GeomFill_AppSurf.hxx Diff File
mod - src/GeomFill/GeomFill_AppSweep.hxx Diff File
mod - src/GeomFill/GeomFill_Boundary.hxx Diff File
mod - src/GeomFill/GeomFill_BoundWithSurf.hxx Diff File
mod - src/GeomFill/GeomFill_CircularBlendFunc.cxx Diff File
mod - src/GeomFill/GeomFill_CircularBlendFunc.hxx Diff File
mod - src/GeomFill/GeomFill_ConstantBiNormal.cxx Diff File
mod - src/GeomFill/GeomFill_ConstantBiNormal.hxx Diff File
mod - src/GeomFill/GeomFill_ConstrainedFilling.cxx Diff File
mod - src/GeomFill/GeomFill_ConstrainedFilling.hxx Diff File
mod - src/GeomFill/GeomFill_Coons.hxx Diff File
mod - src/GeomFill/GeomFill_CoonsAlgPatch.cxx Diff File
mod - src/GeomFill/GeomFill_CoonsAlgPatch.hxx Diff File
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff File
mod - src/GeomFill/GeomFill_CorrectedFrenet.hxx Diff File
mod - src/GeomFill/GeomFill_CurveAndTrihedron.cxx Diff File
mod - src/GeomFill/GeomFill_CurveAndTrihedron.hxx Diff File
mod - src/GeomFill/GeomFill_Darboux.cxx Diff File
mod - src/GeomFill/GeomFill_Darboux.hxx Diff File
mod - src/GeomFill/GeomFill_DegeneratedBound.hxx Diff File
mod - src/GeomFill/GeomFill_DiscreteTrihedron.cxx Diff File
mod - src/GeomFill/GeomFill_DiscreteTrihedron.hxx Diff File
mod - src/GeomFill/GeomFill_DraftTrihedron.cxx Diff File
mod - src/GeomFill/GeomFill_DraftTrihedron.hxx Diff File
mod - src/GeomFill/GeomFill_EvolvedSection.cxx Diff File
mod - src/GeomFill/GeomFill_EvolvedSection.hxx Diff File
mod - src/GeomFill/GeomFill_Filling.cxx Diff File
mod - src/GeomFill/GeomFill_Fixed.cxx Diff File
mod - src/GeomFill/GeomFill_Fixed.hxx Diff File
mod - src/GeomFill/GeomFill_Frenet.cxx Diff File
mod - src/GeomFill/GeomFill_Frenet.hxx Diff File
mod - src/GeomFill/GeomFill_FunctionDraft.cxx Diff File
mod - src/GeomFill/GeomFill_FunctionGuide.cxx Diff File
mod - src/GeomFill/GeomFill_FunctionGuide.hxx Diff File
mod - src/GeomFill/GeomFill_Generator.cxx Diff File
mod - src/GeomFill/GeomFill_Generator.hxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronAC.cxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronAC.hxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronPlan.cxx Diff File
mod - src/GeomFill/GeomFill_GuideTrihedronPlan.hxx Diff File
mod - src/GeomFill/GeomFill_HArray1OfLocationLaw.hxx Diff File
mod - src/GeomFill/GeomFill_HArray1OfSectionLaw.hxx Diff File
mod - src/GeomFill/GeomFill_LocationDraft.cxx Diff File
mod - src/GeomFill/GeomFill_LocationGuide.cxx Diff File
mod - src/GeomFill/GeomFill_LocationGuide.hxx Diff File
mod - src/GeomFill/GeomFill_LocationLaw.cxx Diff File
mod - src/GeomFill/GeomFill_LocFunction.hxx Diff File
mod - src/GeomFill/GeomFill_NSections.cxx Diff File
mod - src/GeomFill/GeomFill_NSections.hxx Diff File
mod - src/GeomFill/GeomFill_Pipe.cxx Diff File
mod - src/GeomFill/GeomFill_PlanFunc.hxx Diff File
mod - src/GeomFill/GeomFill_PolynomialConvertor.cxx Diff File
mod - src/GeomFill/GeomFill_PolynomialConvertor.hxx Diff File
mod - src/GeomFill/GeomFill_Profiler.cxx Diff File
mod - src/GeomFill/GeomFill_Profiler.hxx Diff File
mod - src/GeomFill/GeomFill_QuasiAngularConvertor.cxx Diff File
mod - src/GeomFill/GeomFill_QuasiAngularConvertor.hxx Diff File
mod - src/GeomFill/GeomFill_SectionGenerator.hxx Diff File
mod - src/GeomFill/GeomFill_SectionLaw.cxx Diff File
mod - src/GeomFill/GeomFill_SectionLaw.hxx Diff File
mod - src/GeomFill/GeomFill_SectionPlacement.hxx Diff File
mod - src/GeomFill/GeomFill_SimpleBound.hxx Diff File
mod - src/GeomFill/GeomFill_SnglrFunc.cxx Diff File
mod - src/GeomFill/GeomFill_SnglrFunc.hxx Diff File
mod - src/GeomFill/GeomFill_Sweep.cxx Diff File
mod - src/GeomFill/GeomFill_Sweep.hxx Diff File
mod - src/GeomFill/GeomFill_SweepFunction.cxx Diff File
mod - src/GeomFill/GeomFill_SweepFunction.hxx Diff File
mod - src/GeomFill/GeomFill_SweepSectionGenerator.cxx Diff File
mod - src/GeomFill/GeomFill_Tensor.cxx Diff File
mod - src/GeomFill/GeomFill_Tensor.hxx Diff File
mod - src/GeomFill/GeomFill_TgtField.hxx Diff File
mod - src/GeomFill/GeomFill_TgtOnCoons.hxx Diff File
mod - src/GeomFill/GeomFill_TrihedronLaw.cxx Diff File
mod - src/GeomFill/GeomFill_TrihedronWithGuide.cxx Diff File
mod - src/GeomFill/GeomFill_TrihedronWithGuide.hxx Diff File
mod - src/GeomFill/GeomFill_UniformSection.cxx Diff File
mod - src/GeomFill/GeomFill_UniformSection.hxx Diff File
mod - src/GeomInt/GeomInt.cxx Diff File
mod - src/GeomInt/GeomInt_BSpGradient_BFGSOfMyBSplGradientOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_BSpParFunctionOfMyBSplGradientOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_BSpParLeastSquareOfMyBSplGradientOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_Gradient_BFGSOfMyGradientbisOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_Gradient_BFGSOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_IntSS.hxx Diff File
mod - src/GeomInt/GeomInt_LineConstructor.cxx Diff File
mod - src/GeomInt/GeomInt_MyBSplGradientOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_MyGradientbisOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_MyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_ParFunctionOfMyGradientbisOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_ParFunctionOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_ParLeastSquareOfMyGradientbisOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_ParLeastSquareOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_ResConstraintOfMyGradientbisOfTheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_ResConstraintOfMyGradientOfTheComputeLineBezierOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_TheComputeLineBezierOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_TheComputeLineOfWLApprox.hxx Diff File
mod - src/GeomInt/GeomInt_TheMultiLineToolOfWLApprox.hxx Diff File
mod - src/GeomLib/GeomLib.cxx Diff File
mod - src/GeomLib/GeomLib_Check2dBSplineCurve.cxx Diff File
mod - src/GeomLib/GeomLib_Check2dBSplineCurve.hxx Diff File
mod - src/GeomLib/GeomLib_CheckBSplineCurve.cxx Diff File
mod - src/GeomLib/GeomLib_CheckBSplineCurve.hxx Diff File
mod - src/GeomLib/GeomLib_CheckCurveOnSurface.cxx Diff File
mod - src/GeomLib/GeomLib_DenominatorMultiplier.cxx Diff File
mod - src/GeomLib/GeomLib_Interpolate.cxx Diff File
mod - src/GeomLib/GeomLib_Interpolate.hxx Diff File
mod - src/GeomLib/GeomLib_IsPlanarSurface.cxx Diff File
mod - src/GeomLib/GeomLib_IsPlanarSurface.hxx Diff File
mod - src/GeomLib/GeomLib_LogSample.hxx Diff File
mod - src/GeomLib/GeomLib_MakeCurvefromApprox.hxx Diff File
mod - src/GeomLib/GeomLib_PolyFunc.hxx Diff File
mod - src/GeomLib/GeomLib_Tool.cxx Diff File
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff File
mod - src/GeomliteTest/GeomliteTest_ApproxCommands.cxx Diff File
mod - src/GeomliteTest/GeomliteTest_CurveCommands.cxx Diff File
mod - src/GeomliteTest/GeomliteTest_ModificationCommands.cxx Diff File
mod - src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx Diff File
mod - src/GeomLProp/GeomLProp.hxx Diff File
mod - src/GeomLProp/GeomLProp_CurveTool.hxx Diff File
mod - src/GeomLProp/GeomLProp_SLProps.hxx Diff File
mod - src/GeomLProp/GeomLProp_SurfaceTool.hxx Diff File
mod - src/GeomPlate/GeomPlate_Aij.hxx Diff File
mod - src/GeomPlate/GeomPlate_BuildAveragePlane.cxx Diff File
mod - src/GeomPlate/GeomPlate_BuildAveragePlane.hxx Diff File
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff File
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.hxx Diff File
mod - src/GeomPlate/GeomPlate_CurveConstraint.cxx Diff File
mod - src/GeomPlate/GeomPlate_HArray1OfHCurve.hxx Diff File
mod - src/GeomPlate/GeomPlate_HSequenceOfPointConstraint.hxx Diff File
mod - src/GeomPlate/GeomPlate_MakeApprox.cxx Diff File
mod - src/GeomPlate/GeomPlate_MakeApprox.hxx Diff File
mod - src/GeomPlate/GeomPlate_PlateG0Criterion.cxx Diff File
mod - src/GeomPlate/GeomPlate_PlateG0Criterion.hxx Diff File
mod - src/GeomPlate/GeomPlate_PlateG1Criterion.cxx Diff File
mod - src/GeomPlate/GeomPlate_PlateG1Criterion.hxx Diff File
mod - src/GeomPlate/GeomPlate_PointConstraint.cxx Diff File
mod - src/GeomPlate/GeomPlate_PointConstraint.hxx Diff File
mod - src/GeomPlate/GeomPlate_Surface.cxx Diff File
mod - src/GeomPlate/GeomPlate_Surface.hxx Diff File
mod - src/GeomProjLib/GeomProjLib.cxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomCurve.cxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomCurve.hxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomPoint.cxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomSurface.cxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomSurface.hxx Diff File
mod - src/GeomToIGES/GeomToIGES_GeomVector.cxx Diff File
mod - src/GeomTools/GeomTools.cxx Diff File
mod - src/GeomTools/GeomTools_Curve2dSet.cxx Diff File
mod - src/GeomTools/GeomTools_Curve2dSet.hxx Diff File
mod - src/GeomTools/GeomTools_CurveSet.cxx Diff File
mod - src/GeomTools/GeomTools_CurveSet.hxx Diff File
mod - src/GeomTools/GeomTools_SurfaceSet.cxx Diff File
mod - src/GeomTools/GeomTools_SurfaceSet.hxx Diff File
mod - src/GeomTools/GeomTools_UndefinedTypeHandler.cxx Diff File
mod - src/GeomTools/GeomTools_UndefinedTypeHandler.hxx Diff File
mod - src/GeomToStep/GeomToStep_MakeAxis2Placement3d.cxx Diff File
mod - src/GeomToStep/GeomToStep_MakePlane.cxx Diff File
mod - src/GeomToStep/GeomToStep_MakePolyline.cxx Diff File
mod - src/GeomToStep/GeomToStep_MakeSurfaceOfRevolution.cxx Diff File
mod - src/gp/gp.cxx Diff File
mod - src/gp/gp_Ax1.cxx Diff File
mod - src/gp/gp_Ax2.cxx Diff File
mod - src/gp/gp_Ax22d.cxx Diff File
mod - src/gp/gp_Ax22d.hxx Diff File
mod - src/gp/gp_Ax2d.cxx Diff File
mod - src/gp/gp_Ax3.cxx Diff File
mod - src/gp/gp_Circ.cxx Diff File
mod - src/gp/gp_Circ2d.cxx Diff File
mod - src/gp/gp_Cone.cxx Diff File
mod - src/gp/gp_Cylinder.cxx Diff File
mod - src/gp/gp_Dir.cxx Diff File
mod - src/gp/gp_Dir2d.cxx Diff File
mod - src/gp/gp_Elips.cxx Diff File
mod - src/gp/gp_Elips2d.cxx Diff File
mod - src/gp/gp_GTrsf2d.cxx Diff File
mod - src/gp/gp_GTrsf2d.hxx Diff File
mod - src/gp/gp_Hypr.cxx Diff File
mod - src/gp/gp_Hypr2d.cxx Diff File
mod - src/gp/gp_Lin.cxx Diff File
mod - src/gp/gp_Lin.hxx Diff File
mod - src/gp/gp_Lin2d.cxx Diff File
mod - src/gp/gp_Mat.cxx Diff File
mod - src/gp/gp_Parab.cxx Diff File
mod - src/gp/gp_Parab.hxx Diff File
mod - src/gp/gp_Parab2d.cxx Diff File
mod - src/gp/gp_Pln.cxx Diff File
mod - src/gp/gp_Pln.hxx Diff File
mod - src/gp/gp_Pnt.cxx Diff File
mod - src/gp/gp_Pnt.hxx Diff File
mod - src/gp/gp_Pnt2d.cxx Diff File
mod - src/gp/gp_Pnt2d.hxx Diff File
mod - src/gp/gp_Sphere.cxx Diff File
mod - src/gp/gp_Torus.cxx Diff File
mod - src/gp/gp_Torus.hxx Diff File
mod - src/gp/gp_Trsf.cxx Diff File
mod - src/gp/gp_Trsf.hxx Diff File
mod - src/gp/gp_Trsf2d.cxx Diff File
mod - src/gp/gp_Trsf2d.hxx Diff File
mod - src/gp/gp_Vec.cxx Diff File
mod - src/gp/gp_Vec.hxx Diff File
mod - src/gp/gp_Vec2d.cxx Diff File
mod - src/gp/gp_Vec2d.hxx Diff File
mod - src/gp/gp_XY.cxx Diff File
mod - src/GProp/GProp.cxx Diff File
mod - src/GProp/GProp_CelGProps.cxx Diff File
mod - src/GProp/GProp_CelGProps.hxx Diff File
mod - src/GProp/GProp_GProps.cxx Diff File
mod - src/GProp/GProp_GProps.hxx Diff File
mod - src/GProp/GProp_PEquation.cxx Diff File
mod - src/GProp/GProp_PEquation.hxx Diff File
mod - src/GProp/GProp_PGProps.cxx Diff File
mod - src/GProp/GProp_PGProps.hxx Diff File
mod - src/GProp/GProp_PrincipalProps.cxx Diff File
mod - src/GProp/GProp_PrincipalProps.hxx Diff File
mod - src/GProp/GProp_SelGProps.cxx Diff File
mod - src/GProp/GProp_SelGProps.hxx Diff File
mod - src/GProp/GProp_UndefinedAxis.hxx Diff File
mod - src/GProp/GProp_VelGProps.cxx Diff File
mod - src/GProp/GProp_VelGProps.hxx Diff File
mod - src/Graphic3d/Graphic3d_Aspects.hxx Diff File
mod - src/Graphic3d/Graphic3d_BvhCStructureSetTrsfPers.hxx Diff File
mod - src/Graphic3d/Graphic3d_ClipPlane.hxx Diff File
mod - src/Graphic3d/Graphic3d_CStructure.cxx Diff File
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff File
mod - src/Graphic3d/Graphic3d_CView.hxx Diff File
mod - src/Graphic3d/Graphic3d_DisplayPriority.hxx Diff File
mod - src/Graphic3d/Graphic3d_GraduatedTrihedron.hxx Diff File
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff File
mod - src/Graphic3d/Graphic3d_Group.cxx Diff File
mod - src/Graphic3d/Graphic3d_Group.hxx Diff File
mod - src/Graphic3d/Graphic3d_Layer.hxx Diff File
mod - src/Graphic3d/Graphic3d_LightSet.hxx Diff File
mod - src/Graphic3d/Graphic3d_MapOfAspectsToAspects.hxx Diff File
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff File
mod - src/Graphic3d/Graphic3d_MediaTexture.hxx Diff File
mod - src/Graphic3d/Graphic3d_PBRMaterial.hxx Diff File
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff File
mod - src/Graphic3d/Graphic3d_SequenceOfHClipPlane.hxx Diff File
mod - src/Graphic3d/Graphic3d_ShaderManager.cxx Diff File
mod - src/Graphic3d/Graphic3d_ShaderProgram.cxx Diff File
mod - src/Graphic3d/Graphic3d_ShaderProgram.hxx Diff File
mod - src/Graphic3d/Graphic3d_ShaderVariable.cxx Diff File
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff File
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff File
mod - src/Graphic3d/Graphic3d_StructureManager.hxx Diff File
mod - src/Graphic3d/Graphic3d_Texture1D.hxx Diff File
mod - src/Graphic3d/Graphic3d_Texture1Dsegment.hxx Diff File
mod - src/Graphic3d/Graphic3d_Texture2Dplane.hxx Diff File
mod - src/Graphic3d/Graphic3d_TextureEnv.hxx Diff File
mod - src/Graphic3d/Graphic3d_TextureParams.hxx Diff File
mod - src/Graphic3d/Graphic3d_TextureRoot.cxx Diff File
mod - src/Graphic3d/Graphic3d_TransformPers.hxx Diff File
mod - src/Graphic3d/Graphic3d_TransformUtils.hxx Diff File
mod - src/Graphic3d/Graphic3d_Vertex.hxx Diff File
mod - src/Hatch/Hatch_Hatcher.cxx Diff File
mod - src/Hatch/Hatch_Hatcher.hxx Diff File
mod - src/Hatch/Hatch_Line.cxx Diff File
mod - src/Hatch/Hatch_Line.hxx Diff File
mod - src/Hatch/Hatch_Parameter.hxx Diff File
mod - src/HatchGen/HatchGen_Domain.cxx Diff File
mod - src/HatchGen/HatchGen_Domain.hxx Diff File
mod - src/HatchGen/HatchGen_IntersectionPoint.hxx Diff File
mod - src/HatchGen/HatchGen_PointOnElement.hxx Diff File
mod - src/HatchGen/HatchGen_PointOnHatching.cxx Diff File
mod - src/HatchGen/HatchGen_PointOnHatching.hxx Diff File
mod - src/HeaderSection/HeaderSection_FileDescription.hxx Diff File
mod - src/HeaderSection/HeaderSection_FileName.hxx Diff File
mod - src/HeaderSection/HeaderSection_FileSchema.hxx Diff File
mod - src/HeaderSection/HeaderSection_Protocol.hxx Diff File
mod - src/Hermit/Hermit.cxx Diff File
mod - src/Hermit/Hermit.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_BiPoint.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_Coincidence.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_EdgeIterator.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_EdgesBlock.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_EdgeStatus.cxx Diff File
mod - src/HLRAlgo/HLRAlgo_EdgeStatus.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_HArray1OfPHDat.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_HArray1OfPINod.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_HArray1OfPISeg.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_HArray1OfTData.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_Interference.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_Intersection.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_PolyAlgo.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_PolyData.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_PolyHidingData.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_PolyInternalData.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_PolyInternalNode.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_PolyInternalSegment.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_PolyShellData.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_Projector.cxx Diff File
mod - src/HLRAlgo/HLRAlgo_Projector.hxx Diff File
mod - src/HLRAlgo/HLRAlgo_TriangleData.hxx Diff File
mod - src/HLRAppli/HLRAppli_ReflectLines.cxx Diff File
mod - src/HLRBRep/HLRBRep_Algo.hxx Diff File
mod - src/HLRBRep/HLRBRep_AreaLimit.hxx Diff File
mod - src/HLRBRep/HLRBRep_BCurveTool.cxx Diff File
mod - src/HLRBRep/HLRBRep_BCurveTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_BiPnt2D.hxx Diff File
mod - src/HLRBRep/HLRBRep_BiPoint.hxx Diff File
mod - src/HLRBRep/HLRBRep_BSurfaceTool.cxx Diff File
mod - src/HLRBRep/HLRBRep_CInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_CLProps.hxx Diff File
mod - src/HLRBRep/HLRBRep_CLPropsATool.hxx Diff File
mod - src/HLRBRep/HLRBRep_Curve.cxx Diff File
mod - src/HLRBRep/HLRBRep_Curve.hxx Diff File
mod - src/HLRBRep/HLRBRep_CurveTool.cxx Diff File
mod - src/HLRBRep/HLRBRep_CurveTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeBuilder.hxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeData.cxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeData.hxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeFaceTool.cxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeFaceTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeIList.cxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeInterferenceTool.cxx Diff File
mod - src/HLRBRep/HLRBRep_EdgeInterferenceTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_ExactIntersectionPointOfTheIntPCurvePCurveOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_FaceData.cxx Diff File
mod - src/HLRBRep/HLRBRep_FaceData.hxx Diff File
mod - src/HLRBRep/HLRBRep_FaceIterator.cxx Diff File
mod - src/HLRBRep/HLRBRep_FaceIterator.hxx Diff File
mod - src/HLRBRep/HLRBRep_Hider.cxx Diff File
mod - src/HLRBRep/HLRBRep_HLRToShape.hxx Diff File
mod - src/HLRBRep/HLRBRep_IntConicCurveOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_InterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_InternalAlgo.cxx Diff File
mod - src/HLRBRep/HLRBRep_InternalAlgo.hxx Diff File
mod - src/HLRBRep/HLRBRep_Intersector.cxx Diff File
mod - src/HLRBRep/HLRBRep_Intersector.hxx Diff File
mod - src/HLRBRep/HLRBRep_LineTool.hxx Diff File
mod - src/HLRBRep/HLRBRep_MyImpParToolOfTheIntersectorOfTheIntConicCurveOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_PCLocFOfTheLocateExtPCOfTheProjPCurOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff File
mod - src/HLRBRep/HLRBRep_PolyHLRToShape.cxx Diff File
mod - src/HLRBRep/HLRBRep_PolyHLRToShape.hxx Diff File
mod - src/HLRBRep/HLRBRep_ShapeToHLR.cxx Diff File
mod - src/HLRBRep/HLRBRep_ShapeToHLR.hxx Diff File
mod - src/HLRBRep/HLRBRep_SLProps.hxx Diff File
mod - src/HLRBRep/HLRBRep_SLPropsATool.hxx Diff File
mod - src/HLRBRep/HLRBRep_Surface.cxx Diff File
mod - src/HLRBRep/HLRBRep_Surface.hxx Diff File
mod - src/HLRBRep/HLRBRep_SurfaceTool.cxx Diff File
mod - src/HLRBRep/HLRBRep_TheCSFunctionOfInterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheCurveLocatorOfTheProjPCurOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheExactInterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheIntConicCurveOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheInterferenceOfInterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheIntersectorOfTheIntConicCurveOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheIntPCurvePCurveOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheLocateExtPCOfTheProjPCurOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_ThePolygon2dOfTheIntPCurvePCurveOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_ThePolygonOfInterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_ThePolygonToolOfInterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_ThePolyhedronOfInterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheProjPCurOfCInter.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheQuadCurvExactInterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf.hxx Diff File
mod - src/HLRBRep/HLRBRep_VertexList.cxx Diff File
mod - src/HLRTest/HLRTest.cxx Diff File
mod - src/HLRTest/HLRTest.hxx Diff File
mod - src/HLRTest/HLRTest_DrawableEdgeTool.hxx Diff File
mod - src/HLRTest/HLRTest_DrawablePolyEdgeTool.cxx Diff File
mod - src/HLRTest/HLRTest_DrawablePolyEdgeTool.hxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_Data.cxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_Data.hxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.hxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_FaceIsoLiner.cxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_FaceIsoLiner.hxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_OutLiner.cxx Diff File
mod - src/HLRTopoBRep/HLRTopoBRep_VData.hxx Diff File
mod - src/IFGraph/IFGraph_Compare.hxx Diff File
mod - src/IFGraph/IFGraph_ConnectedComponants.hxx Diff File
mod - src/IFGraph/IFGraph_SCRoots.hxx Diff File
mod - src/IFGraph/IFGraph_SubPartsIterator.cxx Diff File
mod - src/IFSelect/IFSelect.hxx Diff File
mod - src/IFSelect/IFSelect_Act.cxx Diff File
mod - src/IFSelect/IFSelect_Act.hxx Diff File
mod - src/IFSelect/IFSelect_Activator.cxx Diff File
mod - src/IFSelect/IFSelect_Activator.hxx Diff File
mod - src/IFSelect/IFSelect_AppliedModifiers.hxx Diff File
mod - src/IFSelect/IFSelect_BasicDumper.cxx Diff File
mod - src/IFSelect/IFSelect_BasicDumper.hxx Diff File
mod - src/IFSelect/IFSelect_CheckCounter.cxx Diff File
mod - src/IFSelect/IFSelect_CheckCounter.hxx Diff File
mod - src/IFSelect/IFSelect_ContextModif.hxx Diff File
mod - src/IFSelect/IFSelect_ContextWrite.cxx Diff File
mod - src/IFSelect/IFSelect_ContextWrite.hxx Diff File
mod - src/IFSelect/IFSelect_Dispatch.cxx Diff File
mod - src/IFSelect/IFSelect_Dispatch.hxx Diff File
mod - src/IFSelect/IFSelect_DispGlobal.hxx Diff File
mod - src/IFSelect/IFSelect_DispPerCount.cxx Diff File
mod - src/IFSelect/IFSelect_DispPerCount.hxx Diff File
mod - src/IFSelect/IFSelect_DispPerFiles.cxx Diff File
mod - src/IFSelect/IFSelect_DispPerFiles.hxx Diff File
mod - src/IFSelect/IFSelect_DispPerOne.hxx Diff File
mod - src/IFSelect/IFSelect_DispPerSignature.cxx Diff File
mod - src/IFSelect/IFSelect_DispPerSignature.hxx Diff File
mod - src/IFSelect/IFSelect_EditForm.cxx Diff File
mod - src/IFSelect/IFSelect_EditForm.hxx Diff File
mod - src/IFSelect/IFSelect_Editor.cxx Diff File
mod - src/IFSelect/IFSelect_Editor.hxx Diff File
mod - src/IFSelect/IFSelect_Functions.cxx Diff File
mod - src/IFSelect/IFSelect_Functions.hxx Diff File
mod - src/IFSelect/IFSelect_GeneralModifier.hxx Diff File
mod - src/IFSelect/IFSelect_GraphCounter.cxx Diff File
mod - src/IFSelect/IFSelect_GraphCounter.hxx Diff File
mod - src/IFSelect/IFSelect_HSeqOfSelection.hxx Diff File
mod - src/IFSelect/IFSelect_IntParam.hxx Diff File
mod - src/IFSelect/IFSelect_ListEditor.hxx Diff File
mod - src/IFSelect/IFSelect_ModelCopier.cxx Diff File
mod - src/IFSelect/IFSelect_ModelCopier.hxx Diff File
mod - src/IFSelect/IFSelect_Modifier.hxx Diff File
mod - src/IFSelect/IFSelect_ModifReorder.hxx Diff File
mod - src/IFSelect/IFSelect_PacketList.hxx Diff File
mod - src/IFSelect/IFSelect_ParamEditor.hxx Diff File
mod - src/IFSelect/IFSelect_SelectAnyList.cxx Diff File
mod - src/IFSelect/IFSelect_SelectAnyList.hxx Diff File
mod - src/IFSelect/IFSelect_SelectAnyType.hxx Diff File
mod - src/IFSelect/IFSelect_SelectCombine.hxx Diff File
mod - src/IFSelect/IFSelect_SelectControl.hxx Diff File
mod - src/IFSelect/IFSelect_SelectDeduct.cxx Diff File
mod - src/IFSelect/IFSelect_SelectDeduct.hxx Diff File
mod - src/IFSelect/IFSelect_SelectDiff.hxx Diff File
mod - src/IFSelect/IFSelect_SelectErrorEntities.hxx Diff File
mod - src/IFSelect/IFSelect_SelectExplore.hxx Diff File
mod - src/IFSelect/IFSelect_SelectExtract.hxx Diff File
mod - src/IFSelect/IFSelect_SelectFlag.hxx Diff File
mod - src/IFSelect/IFSelect_SelectIncorrectEntities.hxx Diff File
mod - src/IFSelect/IFSelect_SelectInList.cxx Diff File
mod - src/IFSelect/IFSelect_Selection.cxx Diff File
mod - src/IFSelect/IFSelect_Selection.hxx Diff File
mod - src/IFSelect/IFSelect_SelectionIterator.hxx Diff File
mod - src/IFSelect/IFSelect_SelectPointed.cxx Diff File
mod - src/IFSelect/IFSelect_SelectPointed.hxx Diff File
mod - src/IFSelect/IFSelect_SelectRange.cxx Diff File
mod - src/IFSelect/IFSelect_SelectRange.hxx Diff File
mod - src/IFSelect/IFSelect_SelectRootComps.hxx Diff File
mod - src/IFSelect/IFSelect_SelectRoots.hxx Diff File
mod - src/IFSelect/IFSelect_SelectSent.hxx Diff File
mod - src/IFSelect/IFSelect_SelectShared.cxx Diff File
mod - src/IFSelect/IFSelect_SelectSharing.cxx Diff File
mod - src/IFSelect/IFSelect_SelectSignature.hxx Diff File
mod - src/IFSelect/IFSelect_SelectSignedShared.hxx Diff File
mod - src/IFSelect/IFSelect_SelectSignedSharing.hxx Diff File
mod - src/IFSelect/IFSelect_SelectSuite.cxx Diff File
mod - src/IFSelect/IFSelect_SelectSuite.hxx Diff File
mod - src/IFSelect/IFSelect_SelectUnknownEntities.hxx Diff File
mod - src/IFSelect/IFSelect_SessionDumper.hxx Diff File
mod - src/IFSelect/IFSelect_SessionFile.cxx Diff File
mod - src/IFSelect/IFSelect_SessionFile.hxx Diff File
mod - src/IFSelect/IFSelect_SessionPilot.cxx Diff File
mod - src/IFSelect/IFSelect_SessionPilot.hxx Diff File
mod - src/IFSelect/IFSelect_ShareOut.cxx Diff File
mod - src/IFSelect/IFSelect_ShareOut.hxx Diff File
mod - src/IFSelect/IFSelect_ShareOutResult.cxx Diff File
mod - src/IFSelect/IFSelect_ShareOutResult.hxx Diff File
mod - src/IFSelect/IFSelect_SignAncestor.hxx Diff File
mod - src/IFSelect/IFSelect_Signature.hxx Diff File
mod - src/IFSelect/IFSelect_SignatureList.hxx Diff File
mod - src/IFSelect/IFSelect_SignCategory.hxx Diff File
mod - src/IFSelect/IFSelect_SignCounter.hxx Diff File
mod - src/IFSelect/IFSelect_SignMultiple.cxx Diff File
mod - src/IFSelect/IFSelect_SignMultiple.hxx Diff File
mod - src/IFSelect/IFSelect_SignType.hxx Diff File
mod - src/IFSelect/IFSelect_SignValidity.hxx Diff File
mod - src/IFSelect/IFSelect_Transformer.cxx Diff File
mod - src/IFSelect/IFSelect_Transformer.hxx Diff File
mod - src/IFSelect/IFSelect_TransformStandard.hxx Diff File
mod - src/IFSelect/IFSelect_WorkLibrary.hxx Diff File
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff File
mod - src/IFSelect/IFSelect_WorkSession.hxx Diff File
mod - src/IGESAppli/IGESAppli_DrilledHole.hxx Diff File
mod - src/IGESAppli/IGESAppli_ElementResults.hxx Diff File
mod - src/IGESAppli/IGESAppli_FiniteElement.cxx Diff File
mod - src/IGESAppli/IGESAppli_FiniteElement.hxx Diff File
mod - src/IGESAppli/IGESAppli_Flow.cxx Diff File
mod - src/IGESAppli/IGESAppli_Flow.hxx Diff File
mod - src/IGESAppli/IGESAppli_FlowLineSpec.cxx Diff File
mod - src/IGESAppli/IGESAppli_FlowLineSpec.hxx Diff File
mod - src/IGESAppli/IGESAppli_GeneralModule.hxx Diff File
mod - src/IGESAppli/IGESAppli_HArray1OfFiniteElement.hxx Diff File
mod - src/IGESAppli/IGESAppli_HArray1OfNode.hxx Diff File
mod - src/IGESAppli/IGESAppli_LevelFunction.hxx Diff File
mod - src/IGESAppli/IGESAppli_LevelToPWBLayerMap.cxx Diff File
mod - src/IGESAppli/IGESAppli_LevelToPWBLayerMap.hxx Diff File
mod - src/IGESAppli/IGESAppli_LineWidening.hxx Diff File
mod - src/IGESAppli/IGESAppli_NodalConstraint.cxx Diff File
mod - src/IGESAppli/IGESAppli_NodalConstraint.hxx Diff File
mod - src/IGESAppli/IGESAppli_NodalDisplAndRot.cxx Diff File
mod - src/IGESAppli/IGESAppli_NodalDisplAndRot.hxx Diff File
mod - src/IGESAppli/IGESAppli_NodalResults.cxx Diff File
mod - src/IGESAppli/IGESAppli_NodalResults.hxx Diff File
mod - src/IGESAppli/IGESAppli_Node.cxx Diff File
mod - src/IGESAppli/IGESAppli_PartNumber.hxx Diff File
mod - src/IGESAppli/IGESAppli_PinNumber.hxx Diff File
mod - src/IGESAppli/IGESAppli_PipingFlow.cxx Diff File
mod - src/IGESAppli/IGESAppli_PipingFlow.hxx Diff File
mod - src/IGESAppli/IGESAppli_Protocol.hxx Diff File
mod - src/IGESAppli/IGESAppli_PWBArtworkStackup.cxx Diff File
mod - src/IGESAppli/IGESAppli_PWBArtworkStackup.hxx Diff File
mod - src/IGESAppli/IGESAppli_PWBDrilledHole.hxx Diff File
mod - src/IGESAppli/IGESAppli_ReadWriteModule.cxx Diff File
mod - src/IGESAppli/IGESAppli_ReferenceDesignator.hxx Diff File
mod - src/IGESAppli/IGESAppli_RegionRestriction.hxx Diff File
mod - src/IGESAppli/IGESAppli_SpecificModule.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolDrilledHole.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolDrilledHole.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolElementResults.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFlow.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFlow.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolFlowLineSpec.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLevelFunction.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLevelFunction.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLevelToPWBLayerMap.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLineWidening.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolLineWidening.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNodalConstraint.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNodalResults.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolNode.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPartNumber.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPartNumber.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPinNumber.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPinNumber.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPipingFlow.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPWBArtworkStackup.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPWBDrilledHole.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolPWBDrilledHole.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolReferenceDesignator.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolReferenceDesignator.hxx Diff File
mod - src/IGESAppli/IGESAppli_ToolRegionRestriction.cxx Diff File
mod - src/IGESAppli/IGESAppli_ToolRegionRestriction.hxx Diff File
mod - src/IGESBasic/IGESBasic_AssocGroupType.hxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalReferenceFile.cxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalReferenceFile.hxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalRefFile.hxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalRefFileIndex.cxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalRefFileIndex.hxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalRefFileName.hxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalRefLibName.hxx Diff File
mod - src/IGESBasic/IGESBasic_ExternalRefName.hxx Diff File
mod - src/IGESBasic/IGESBasic_GeneralModule.cxx Diff File
mod - src/IGESBasic/IGESBasic_GeneralModule.hxx Diff File
mod - src/IGESBasic/IGESBasic_Group.hxx Diff File
mod - src/IGESBasic/IGESBasic_GroupWithoutBackP.cxx Diff File
mod - src/IGESBasic/IGESBasic_GroupWithoutBackP.hxx Diff File
mod - src/IGESBasic/IGESBasic_HArray1OfHArray1OfXY.hxx Diff File
mod - src/IGESBasic/IGESBasic_HArray2OfHArray1OfReal.hxx Diff File
mod - src/IGESBasic/IGESBasic_Hierarchy.hxx Diff File
mod - src/IGESBasic/IGESBasic_Name.hxx Diff File
mod - src/IGESBasic/IGESBasic_OrderedGroup.cxx Diff File
mod - src/IGESBasic/IGESBasic_OrderedGroup.hxx Diff File
mod - src/IGESBasic/IGESBasic_OrderedGroupWithoutBackP.cxx Diff File
mod - src/IGESBasic/IGESBasic_OrderedGroupWithoutBackP.hxx Diff File
mod - src/IGESBasic/IGESBasic_Protocol.cxx Diff File
mod - src/IGESBasic/IGESBasic_Protocol.hxx Diff File
mod - src/IGESBasic/IGESBasic_ReadWriteModule.cxx Diff File
mod - src/IGESBasic/IGESBasic_SingleParent.cxx Diff File
mod - src/IGESBasic/IGESBasic_SingleParent.hxx Diff File
mod - src/IGESBasic/IGESBasic_SingularSubfigure.hxx Diff File
mod - src/IGESBasic/IGESBasic_SpecificModule.cxx Diff File
mod - src/IGESBasic/IGESBasic_SpecificModule.hxx Diff File
mod - src/IGESBasic/IGESBasic_SubfigureDef.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolAssocGroupType.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolAssocGroupType.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalReferenceFile.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefFile.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileName.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefLibName.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolExternalRefName.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolGroup.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolGroupWithoutBackP.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolHierarchy.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolHierarchy.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolName.cxx Diff File
mod - src/IGESBasic/IGESBasic_ToolName.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolOrderedGroup.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolOrderedGroupWithoutBackP.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolSingleParent.hxx Diff File
mod - src/IGESBasic/IGESBasic_ToolSingularSubfigure.cxx Diff File
mod - src/V3d/V3d_View.hxx Diff File

occt-products: master d8a13f7f

2022-04-27 09:05:00

aml


Committer: smoskvin Details Diff
0032951: Coding - get rid of unused headers [GeomConvert to IGESBasic] Affected Issues
0032951
mod - diff Diff File
mod - src/MeshToolsTest/MeshToolsTest_FunctionObject.cxx Diff File

Issue History

Date Modified Username Field Change
2022-04-27 08:32 aml New Issue
2022-04-27 08:32 aml Assigned To => aml
2022-04-27 08:32 aml Relationship added child of 0032741
2022-04-27 08:34 git Note Added: 0108208
2022-04-27 09:08 git Note Added: 0108210
2022-04-27 10:24 git Note Added: 0108212
2022-04-27 10:47 git Note Added: 0108214
2022-04-27 11:49 git Note Added: 0108216
2022-04-27 15:27 git Note Added: 0108226
2022-04-28 10:38 aml Assigned To aml => kgv
2022-04-28 10:38 aml Status new => resolved
2022-04-28 10:38 aml Steps to Reproduce Updated
2022-04-28 10:38 aml Note Added: 0108231
2022-04-28 10:42 kgv Assigned To kgv => bugmaster
2022-04-28 10:42 kgv Status resolved => reviewed
2022-05-01 13:28 smoskvin Status reviewed => tested
2022-05-01 13:28 smoskvin Note Added: 0108270
2022-05-01 13:31 smoskvin Test case number => Not required
2022-05-01 14:32 smoskvin Changeset attached => occt master 82598ec0
2022-05-01 14:32 aml Assigned To bugmaster => aml
2022-05-01 14:32 aml Status tested => verified
2022-05-01 14:32 aml Resolution open => fixed
2022-05-01 14:33 smoskvin Changeset attached => occt-products master d8a13f7f
2022-05-01 15:15 git Note Added: 0108279
2022-05-04 11:32 aml Relationship added parent of 0032958
2022-05-05 09:45 kgv Severity minor => integration request